<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>com.casic</groupId>
    <artifactId>casic-smartcity</artifactId>
    <version>2.0.0.alpha</version>
    <name>casic-smartcity</name>
    <packaging>pom</packaging>

    <modules>
        <module>casic-web</module>
        <module>casic-server</module>
        <module>casic-quartz</module>
        <module>casic-sluicewell</module>
        <module>casic-data-analysis</module>
        <module>casic-device</module>
        <module>casic-alarm</module>
        <module>casic-server-support</module>
    </modules>

    <parent>
        <groupId>com.casic</groupId>
        <artifactId>casic-boot-starter-parent</artifactId>
        <version>2.0.0.alpha</version>
    </parent>
    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <java.version>1.8</java.version>
        <!--当前项目版本号-->
        <pro.version>2.0.0.alpha</pro.version>
        <!--core包版本号-->
        <core.version>2.0.0.alpha</core.version>
        <!--权限包版本号-->
        <admin.version>2.0.0.alpha</admin.version>
        <!--扩展包版本号-->
        <extension.version>2.0.0.alpha</extension.version>
        <zxing.version>3.2.1</zxing.version>
        <batik.version>1.7</batik.version>
        <commons-lang3.version>3.6</commons-lang3.version>
        <ehcache.core.version>2.6.11</ehcache.core.version>
        <screw.version>1.0.3</screw.version>
        <hikari.version>3.4.5</hikari.version>
    </properties>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-web</artifactId>
                <version>${boot.version}</version>
            </dependency>
            <!--casic相关代码-->
            <dependency>
                <groupId>com.casic</groupId>
                <artifactId>casic-core</artifactId>
                <version>${core.version}</version>
            </dependency>
            <dependency>
                <groupId>mysql</groupId>
                <artifactId>mysql-connector-java</artifactId>
                <version>${mysql.driver.version}</version>
            </dependency>
            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>mybatis-plus-boot-starter</artifactId>
                <version>${mybatis-plus-boot-starter}</version>
            </dependency>
            <!--shiro依赖-->
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>druid</artifactId>
                <version>${druid.version}</version>
            </dependency>
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>fastjson</artifactId>
                <version>${fastjson.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-websocket</artifactId>
                <version>2.4.5</version>
            </dependency>

            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>dynamic-datasource-spring-boot-starter</artifactId>
                <version>2.5.4</version>
            </dependency>

        </dependencies>
    </dependencyManagement>

    <build>
        <pluginManagement>
            <plugins>

                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-compiler-plugin</artifactId>
                    <version>${maven.compiler.plugin.version}</version>
                </plugin>
                <!--                <plugin>-->
                <!--                    <groupId>org.springframework.boot</groupId>-->
                <!--                    <artifactId>spring-boot-maven-plugin</artifactId>-->
                <!--                    <version>${boot.version}</version>-->
                <!--                    <configuration>-->
                <!--                        <mainClass>com.casic.missiles.CasicApplication</mainClass>-->
                <!--                    </configuration>-->
                <!--                </plugin>-->
                <plugin>
                    <groupId>cn.smallbun.screw</groupId>
                    <artifactId>screw-maven-plugin</artifactId>
                    <version>${screw.version}</version>
                    <dependencies>
                        <!-- HikariCP -->
                        <dependency>
                            <groupId>com.zaxxer</groupId>
                            <artifactId>HikariCP</artifactId>
                            <version>${hikari.version}</version>
                        </dependency>
                        <!--mysql driver-->
                        <dependency>
                            <groupId>mysql</groupId>
                            <artifactId>mysql-connector-java</artifactId>
                            <version>${mysql.driver.version}</version>
                        </dependency>
                    </dependencies>
                    <configuration>
                        <!--username-->
                        <!--                        <username>root</username>-->
                        <username>root</username>
                        <!--password-->
                        <!--                        <password>casic203!</password>-->
                        <password>Casic203</password>
                        <!--driver-->
                        <!--com.mysql.jdbc.Driver -->
                        <driverClassName>com.mysql.jdbc.Driver</driverClassName>
                        <!--                        <driverClassName>dm.jdbc.driver.DmDriver</driverClassName>-->
                        <!--jdbc url-->
                        <jdbcUrl>jdbc:mysql://111.198.10.15:11336/sys?useSSL=false</jdbcUrl>
                        <!--生成文件类型 HTML MD WORD-->
                        <fileType>HTML</fileType>
                        <!--打开文件输出目录-->
                        <openOutputDir>true</openOutputDir>
                        <!--生成模板-->
                        <produceType>freemarker</produceType>
                        <!--文档名称 为空时:将采用[数据库名称-描述-版本号]作为文档名称-->
                        <!--描述-->
                        <description>守时库</description>
                        <!--版本-->
                        <version>${pro.version}</version>
                        <!--标题-->
                        <title>守时库文档速查</title>
                    </configuration>
                    <executions>
                        <execution>
                            <phase>compile</phase>
                            <goals>
                                <goal>run</goal>
                            </goals>
                        </execution>
                    </executions>
                </plugin>
            </plugins>
        </pluginManagement>
    </build>

</project>